cascading.util.cache

## Class OrderedHashMapCacheFactory

- java.lang.Object
- - cascading.util.cache.BaseCacheFactory
  - - cascading.util.cache.OrderedHashMapCacheFactory

- All Implemented Interfaces:
    CascadingFactory

      public class OrderedHashMapCacheFactory
      extends BaseCacheFactory

  Concrete sub-class of `BaseCacheFactory` for creating `OrderedHashMapCache` instances.

- - ### Field Summary

    - ### Fields inherited from class cascading.util.cache.BaseCacheFactory

      `DEFAULT_CAPACITY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OrderedHashMapCacheFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `CascadingCache` | `create(FlowProcess flowProcess)` Method create will return a new instance of the type create by this factory.

    - ### Methods inherited from class cascading.util.cache.BaseCacheFactory

      `initialize`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OrderedHashMapCacheFactory

          public OrderedHashMapCacheFactory()

  - ### Method Detail

    - #### create

          public CascadingCache create(FlowProcess flowProcess)

      Description copied from interface: `CascadingFactory`
      Method create will return a new instance of the type create by this factory.
      Specified by:
        `create` in interface `CascadingFactory`
      Specified by:
        `create` in class `BaseCacheFactory`
      Parameters:
        `flowProcess` - of type FlowProcess
      Returns:
        of type Instance

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.